Subject: Re: [media-types] multipart/multilingual registration request

From: Nik Tomkinson <[email-masked]>
Date: Mon, 3 Oct 2016 23:24:16 +0100

Thanks Alexey for your comments.

I'll update the IANA section accordingly. I'd rather be clear and mention
the non-compliant part even if it is a bit superfluous.

Nik.

On 12 September 2016 at 18:54, Alexey Melnikov <[email-masked]>
wrote:

> Hi Nik,
>
> On 09/09/2016 13:43, Nik Tomkinson wrote:
> >  Hi All,
> >
> >  I am working on this template but I need some advice from anyone who
> knows
> >  this sort of this thing well and has experience in this area.
> >
> >  It is for this I-D: https://datatracker.ietf.org/doc/draft-ietf-slim-
> multilangcontent/
> >
> >
> >  My initial suggestion would be:
> >
> >       Media Type name: multipart
> >
> >       Media subtype name: multilingual
> >
> >       Required parameters: boundary (defined in RFC2046)
> >
> >       Optional parameters: N/A
> >
> >       Encoding considerations: ?
> >
> >       Security considerations: See the Security Considerations section in
> >  this document
> >
> >       Interoperability considerations:
> >           Existing systems that do not treat unknown multipart subtypes
> >           as multipart/mixed may not correctly render a
> >           multipart/multilingual type.
>
> Strictly speaking such systems are already non compliant with MIME.
>
> >
> >       Published specification: This document
> >
> >       Applications that use this media type:
> >           Mail Transfer Agents, Mail User Agents, spam detection,
> >           virus detection modules and message authentication modules.
> >
> >       Additional information:
> >
> >           Deprecated alias names for this type: N/A
> >           Magic number(s): N/A
> >           File extension(s): N/A
> >           Macintosh file type code(s): N/A
> >
> >       Person & email address to contact for further information:
> >           Nik Tomkinson
> >           [email-masked] <mailto:rfc.nik.tomkinson@
> gmail.com>
> >
> >           Nathaniel Borenstein
> >           [email-masked] <mailto:[email-masked]>
> >
> >       Intended usage: Common
> >
> >
> >
> >  But I am not sure about the encoding considerations because the IANA
> >  'Application for a Media Type' form at http://www.iana.org/form/media-
> >  types includes these options:
> >   - 7-bit text
> >   - 8-bit text (this media type may require encoding on transports not
> >  capable of handling 8-bit text)
> >   - binary (this media type may require encoding on transports not
> capable
> >  of handling binary)
> >
> >  but it also refers to RFC 6838 §4.8
> >  which lists:
> >   - 7bit:  The content of the media type consists solely of
> CRLF-delimited
> >  7bit US-ASCII text.
> >   - 8bit:  The content of the media type consists solely of
> CRLF-delimited
> >  8bit text.
> >   - binary:  The content consists of an unrestricted sequence of octets.
> >
> >  I have seen from examples of other registered MIME types that the
> wording
> >  is not always the same as above but, given that there is a registration
> >  form with strict definitions, I am at a bit of a loss which I should
> >  specify.
>
> I think you should use something like this:
>
>   only "7bit", "8bit", or "binary" are permitted
>
> This is the same as used by
> <http://www.iana.org/assignments/media-types/multipart/byteranges>
>
> Best Regards,
> Alexey
>
> >
> >  Can anyone offer a suggestion?
> >
> >  Thanks in advance,
> >
> >  Nik.
> >
> >
> > --
> >
> > -----------------------------------------------------------------
> > Multiple Language Content Type Internet Draft:
> >
> > <http://datatracker.ietf.org/doc/draft-tomkinson-multilangcontent/>
> https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent/
> > <http://datatracker.ietf.org/doc/draft-tomkinson-slim-multilangcontent/>
> >
> > -----------------------------------------------------------------
>
>

-- 

-----------------------------------------------------------------
Multiple Language Content Type Internet Draft:

<http://datatracker.ietf.org/doc/draft-tomkinson-multilangcontent/>
https://datatracker.ietf.org/doc/draft-ietf-slim-multilangcontent/
<http://datatracker.ietf.org/doc/draft-tomkinson-slim-multilangcontent/>

-----------------------------------------------------------------